Bug 861213 - scanner not accesable for users after udev rules moved to /usr
scanner not accesable for users after udev rules moved to /usr
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 16:35 EDT by Adam Pribyl
Modified: 2012-10-15 11:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: hplip-3.12.9-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 11:42:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2012-09-27 16:35:42 EDT
Description of problem:
It looks like latest update of hplip-common broke the hp scanners. Here it is 
 Hewlett-Packard Deskjet_F4500_series
Any action by user to access scanner ends up with
X: io/hpmud/musb.c 2069: Invalid usb_open: Permission denied

Bus 001 Device 002: ID 03f0:8c11 Hewlett-Packard Deskjet F4500 series

crw-rw-r-- 1 root lp 189, 1 27. zář 22.30 /dev/bus/usb/001/002

# file: dev/bus/usb/001/002
# owner: root
# group: lp
user::rw-
group::rw-
other::r--

File is owned by root and group lp, but acl has no group or user definition, even if user is logged in.

With latest hplip-common, udev rules were moved to /usr/lib/udev from /lib/udev, there are no other rules present on F16 in /usr/lib/udev. In my opinion this location is ignored or something.

Version-Release number of selected component (if applicable):
hplip-common-3.12.9-1.fc16.i686
Comment 1 Jiri Popelka 2012-10-01 09:24:44 EDT
(In reply to comment #0)
> With latest hplip-common, udev rules were moved to /usr/lib/udev from
> /lib/udev, there are no other rules present on F16 in /usr/lib/udev. In my
> opinion this location is ignored or something.

Yes, that could be related. Could you:
cp /usr/lib/udev/rules.d/*.rules /lib/udev/rules.d/

and let me know if it changes anything ?
Comment 2 Jiri Popelka 2012-10-01 10:24:43 EDT
I went ahead and moved the udev rules to /lib where they belong on Fedora-16.
Please try http://koji.fedoraproject.org/koji/taskinfo?taskID=4546673
Comment 3 Gustavo Maciel Dias Vieira 2012-10-02 10:40:22 EDT
The updated packages solved the problem for me (HP PSC-1510).
Comment 4 Fedora Update System 2012-10-02 12:07:13 EDT
hplip-3.12.9-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hplip-3.12.9-6.fc16
Comment 5 Adam Pribyl 2012-10-02 12:32:22 EDT
Fixed for me too. Going to make a karma.
Comment 6 Fedora Update System 2012-10-02 23:20:22 EDT
Package hplip-3.12.9-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.12.9-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15250/hplip-3.12.9-6.fc16
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.